Bug 200914 - smb can't access its own logfiles
smb can't access its own logfiles
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
http://www.redhat.com/archives/fedora...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-01 11:40 EDT by drago01
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-09 06:07:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description drago01 2006-08-01 11:40:36 EDT
Description of problem:
smb/nmbd generates this avcs:
audit(1154259027.504:4): avc:  denied  { create } for  pid=2610 comm="smbd"
name="cores" scontext=system_u:system_r:smbd_t:s0
tcontext=system_u:object_r:samba_log_t:s0 tclass=dir
audit(1154259027.996:5): avc:  denied  { create } for  pid=2613 comm="nmbd"
name="cores" scontext=system_u:system_r:nmbd_t:s0
tcontext=system_u:object_r:samba_log_t:s0 tclass=dir 

Version-Release number of selected component (if applicable):

selinux-policy-targeted-2.3.2-1.fc5
How reproducible:
always

Steps to Reproduce:
start samba and look at the logfiles
  
Actual results:
avcs

Expected results:

no avcs

Additional info:
samba-3.0.23a-1.fc5.1
Comment 1 Daniel Walsh 2006-08-02 15:01:03 EDT
Fixed in rawhide selinux-policy-2.3.3-17

Will be in the next back port.

Comment 2 drago01 2007-02-09 06:07:08 EST
can confirm that it fixed.

Note You need to log in before you can comment on or make changes to this bug.